# Check car price availability Check if the price for a selected car is still available before proceeding with the booking. Endpoint: POST /v2/car/price-check Version: v2 Security: Bearer ## Request fields (application/json): - `searchId` (string, required) SearchID of the selected car. Example: "1cf76aba18e4015f" - `carId` (string, required) CarId of the car to be booked. Example: "EgRFQ0FSGgNFVzIiAkVUKgoKA1NGTxIDU0ZPMgoKA1NGTxIDU0ZP" - `tripId` (string) Trip ID Example: 1234567890 - `isModify` (boolean) Indicates if this API call is a part of modify search and book. ## Response 200 fields (application/json): - `timeoutSeconds` (integer) Time in seconds for which the price is held. Example: 3900 - `hasPriceChanged` (boolean, required) Indicates if the price has changed from the details. Example: true - `rateInfo` (object) Car Rate information and breakdown - `rateInfo.rateType` (string) Car Rate type Enum: "UNKNOWN", "GUARANTEED", "PREPAID" - `rateInfo.carRateComponents` (array) - `rateInfo.carRateComponents.componentType` (string, required) Car Rate component type Enum: "UNKNOWN_TYPE", "DROP_OFF_CHARGE", "EXTRA_DAY", "EXTRA_HOUR", "BASE_RATE", "BASE_RATE_TOTAL", "SUBTOTAL_EXCLUDING_MANDATORY_CHARGES", "DAILY_CHARGES_TOTAL", "HOURLY_CHARGES_TOTAL", "MANDATORY_CHARGES", "MANDATORY_CHARGES_TOTAL", "APPROXIMATE_TOTAL_PRICE", "CAR_EXTRA_TOTAL_CHARGE", "APPROXIMATE_BASE_FARE", "TOTAL_TAX", "PUBLISHED_BASE_FARE", "PUBLISHED_TOTAL_TAX", "APPROXIMATE_DAILY_AVERAGE_TOTAL", "APPROXIMATE_DAILY_AVERAGE_BASE", "APPROXIMATE_DAILY_AVERAGE_TAX", "PUBLISHED_DAILY_TOTAL", "PUBLISHED_DAILY_BASE_FARE", "PUBLISHED_DAILY_TOTAL_TAX", "CAR_MODIFY_RATE_DIFFERENCE", "CAR_MODIFY_AVERAGE_RATE_DIFFERENCE" - `rateInfo.carRateComponents.amount` (object, required) RateComponent amount - `rateInfo.carRateComponents.amount.amount` (number, required) The numeric value for the amount of money. Example: 510 - `rateInfo.carRateComponents.amount.currencyCode` (string, required) The 3-letter currency code for the money amount (defined using ISO 4217 standard). Example: "GBP" - `rateInfo.carRateComponents.amount.convertedAmount` (number) The converted currency and amount that has been converted (if a currency conversion has been requested). For example, if the call requests that money be sent in a specified currency (because the frontend requested the backend to send money in the user's preferred currency). Example: 715.42 - `rateInfo.carRateComponents.amount.convertedCurrency` (string) The 3-letter currency code for the converted currency (defined using ISO 4217 standard). Example: "USD" - `rateInfo.carRateComponents.amount.otherCoinage` (array) List of the dollar amount in other coinage systems like reward points, cryptocurrency etc. - `rateInfo.carRateComponents.amount.otherCoinage.coinageCode` (string) Payment method Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER" - `rateInfo.carRateComponents.amount.otherCoinage.amount` (number) Example: 1000 - `rateInfo.carRateComponents.amount.otherCoinage.conversionRate` (number) 1 coin in this system equals to how many currency value Example: 0.01 - `rateInfo.carRateComponents.amount.otherCoinage.preferredCurrencyConversionRate` (number) 1 coin in this system equals to how many currency value Example: 0.01 - `rateInfo.carRateComponents.amount.otherCoinage.otherCoinageMetadata` (any) Metadata to store additional information related to the payment method - `rateInfo.carRateComponents.mileageAllowance` (object) Maximum distance covered in fare - `rateInfo.carRateComponents.mileageAllowance.length` (number, required) Distance from search point. Example: 150 - `rateInfo.carRateComponents.mileageAllowance.unit` (string, required) Unit of measure being applied. Enum: "UNKNOWN_UNIT", "KM", "MILE", "CENTIMETER", "METER" - `rateInfo.carRateComponents.extraMileageCharge` (object) Extra charge after exceeding mileage allowance - `rateInfo.carExtras` (array) - `rateInfo.carExtras.carExtraType` (string) Enum: "UNKNOWN_TYPE", "RENTER_AGE", "ADDITIONAL-DRIVER", "BABY-STROLLER", "CHILD-SEAT-BOOSTER", "BICYCLE-RACK", "CARGO-BARRIER-BACK", "CARGO-BARRIER-FRONT", "BOOSTER-SEAT-UP-TO-AGE-12", "COLLISION-DAMAGE-WAIVER", "CHILD-SEAT-UP-TO-AGE-3", "CHILD-SEAT-INFANT", "SATELLITE-RADIO", "CHILD-SEAT-TODDLER", "REAR-SEAT-DVD-PLAYER", "FLAG-HOLDER", "HAND-CONTROL-LEFT", "HAND-CONTROL-RIGHT", "MOTORCYCLE-HELMET", "SECURITY-DEVICES", "JERRY-CAN", "LOSS-DAMAGE-WAIVER", "LUGGAGE-ROOF-CASE", "LUGGAGE-TRAILER", "LUGGAGE-RACK", "NAVIGATIONAL-SYSTEM", "NAVIGATIONAL-SYSTEM-BUILT-IN", "PERSONAL-ACCIDENT-INSURANCE", "MOBILE-PHONE", "ROAD-CONGESTION-PAYMENT-SCHEME", "SEAT-BELT-EXTENSION", "SNOW-BOARD-RACKS", "SKI-BOX", "SKI-RACK-ONLY", "SKI-RACK-OR-BOX", "SKI-EQUIPPED-VEHICLE", "SNOW-CHAINS", "SNOW-PACKS", "SNOW-TIRES", "SPINNER-KNOB", "SURF-RACK", "SCOOTER-TOP-CASE", "SNOW-WINTER-TIRES", "TOLL-PAYMENT-TAG-PASS", "SPARE-TIRE", "WHEEL-CHAIR-ACCESS-RAMP", "WHEEL-CHAIR", "WIFI-ACCESS" - `rateInfo.carExtras.carExtraRateUnit` (string) Enum: "UNKNOWN_RATE_UNIT", "DAILY", "WEEKEND", "WEEKLY", "MONTHLY", "BUNDLED", "TOTAL" - `rateInfo.carExtras.amount` (object, required) Car Extra amount - `rateInfo.refundable` (string) Car Refundable type Enum: "UNKNOWN_REFUNDABLE", "REFUNDABLE", "NON_REFUNDABLE" - `rateInfo.fareType` (string) Enum: "PUBLISHED", "CORPORATE", "SPOTNANA", "UNKNOWN", "TMC" - `rateInfo.allowedPaymentTypes` (array) Indicates the restriction on which payment method types can be used to make the booking. Enum: "CARD", "VIRTUAL_CARD", "REWARDS_PROGRAM", "DELAYED_INVOICING", "CUSTOM_PAYMENT_METHOD", "VENDOR_PROGRAM_PAYMENT", "UNUSED_CREDIT", "CASH" - `rateInfo.dailyRates` (array) Contains daily rates for each day of the rental duration. - `rateInfo.dailyRates.total` (object) Daily total rate. - `rateInfo.dailyRates.base` (object) Daily base rate. - `rateInfo.dailyRates.tax` (object) Daily tax rate. - `rateInfo.allowedFop` (string) Payment method Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER" - `finalRateInfo` (object) Car Rate information and breakdown - `preferences` (array) - `preferences.preferredType` (string, required) Preference type. Enum: "NOT_PREFERRED", "COMPANY_PREFERRED", "SPOTTERS_CHOICE", "COMPANY_BLOCKED", "TMC_PREFERRED" - `preferences.blockedReason` (string) Reason for blocking the leg, hotel or car. - `preferences.label` (string) The label assigned to a specific tier of preference. - `bookingKey` (string) Booking key used to make booking. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.